/**************************************************
*
* Reading data from a textfile using REXLANG
*
***************************************************/   

//assigning inputs to variables, these variables are READ-ONLY
long input(0) read;

//assigning variables to outputs, these variables are WRITE-ONLY
double output(0) value;
double output(1) answer;

//the init procedure is executed once when the REXLANG function block initializes
long init(void)
{
  return 0;
}

//the main procedure is executed once in each sampling period
long main(void)
{
  if (read > 0)
  {
    value = LoadValue(4,10); //read the next line 
    answer = 1;
  }
  else
  {
    LoadValue(4,5); //skip to the first line
    answer = 2;
  }
  return 0;
}

//the exit procedure is executed once when the task is correctly terminated
// (system shutdown, downloading new control algorithm, etc.)
long exit(void)
{
  return 0;
}